Skip to main content

Get Payout Methods

Deprecated — Do Not Use

This endpoint is deprecated and will be removed in a future release. It is no longer maintained and may produce unexpected behavior.

Use Payout Intents instead.

Retrieve available payout methods for your merchant account.

GEThttps://api.zenpays.com/merchant/api/v1/payouts/methods
Bearer · API key

Request​

Headers​

HeaderDescription
Authorization
REQUIRED
Bearer {api_key}
X-Signature
REQUIRED
HMAC-SHA256 signature
X-Timestamp
REQUIRED
ISO 8601 timestamp
X-Secret-Salt
REQUIRED
Secret salt for HMAC validation

Response​

Success (200 OK)​

{
"success": true,
"data": {
"methods": [
{
"type": "IMPS",
"name": "IMPS",
"countries": ["IN"],
"currencies": ["INR"],
"minAmount": 1,
"maxAmount": 50000000
},
{
"type": "NEFT",
"name": "NEFT",
"countries": ["IN"],
"currencies": ["INR"],
"minAmount": 1,
"maxAmount": 100000000
},
{
"type": "RTGS",
"name": "RTGS",
"countries": ["IN"],
"currencies": ["INR"],
"minAmount": 200000,
"maxAmount": null
},
{
"type": "UPI",
"name": "UPI",
"countries": ["IN"],
"currencies": ["INR"],
"minAmount": 1,
"maxAmount": 10000000
}
]
}
}

Examples​

curl -X GET "https://api.zenpays.com/merchant/api/v1/payouts/methods" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"